Bug 1476641 - ui/vnc_keysym.h is very out of date and does not correctly support many Eastern European keyboards
ui/vnc_keysym.h is very out of date and does not correctly support many Easte...
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.3
All All
unspecified Severity high
: rc
: ---
Assigned To: Gerd Hoffmann
Guo, Zhiyi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 22:10 EDT by Greg Kable
Modified: 2017-10-24 00:45 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-145.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Kable 2017-07-30 22:10:36 EDT
Description of problem:

Many Eastern European keyboards use characters such as idotless and Cyrillic_A.  Because these keys aren't listed in vnc_keysym.h, they do not get passed through to the VM by qemu-kvm.  This in turn means that it is impossible to use these keys and keyboards with virtualisation on RHEL.


Version-Release number of selected component (if applicable):

qemu-kvm-1.5.3-126.el7_3.10.x86_64


How reproducible:

100% reproducible when using an affected keymap.


Steps to Reproduce:
1. Set your system keyboard to Turkish
2. Start a VM, making sure you use the "-k tr" option to select the Turkish keyboard
3. Using VNC, connect to the VM and press the idotless key (keycode 0x17, same as a normal i on a US keyboard).


Actual results:

No key is sent to the VM even though idotless is correctly mapped in /usr/sahre/qemu-kvm/keymaps/tr.


Expected results:

Depending on the VM's keymap, you should see an 'i' (US or similar), a dotless i (Turkish) or whatever character maps to keycode 0x17 on that keymap.

Additional info:

It would probably be sufficient to simply use the latest version of ui/vnc_keysym.h from upstream.
Comment 4 Miroslav Rezanina 2017-10-06 03:13:59 EDT
Fix included in qemu-kvm-1.5.3-145.el7

Note You need to log in before you can comment on or make changes to this bug.